All users were logged out of Bugzilla on October 13th, 2018

Frequent unexpected crashes, most recently on ESPN.com [@ HandleScrollEvent]

RESOLVED DUPLICATE of bug 124596

Status

()

--
critical
RESOLVED DUPLICATE of bug 124596
17 years ago
17 years ago

People

(Reporter: dan.m, Assigned: pavlov)

Tracking

({crash})

Trunk
PowerPC
Mac OS X
crash
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(crash signature, URL)

(Reporter)

Description

17 years ago
Not sure what is triggering these crashes, but they all seem to revolve around
the same thing.... three logs below. Bad memory module?


Date/Time:  2002-06-14 18:58:31 -0500
OS Version: 10.1.5 (Build 5S60)
Host:       localhost

Command:    Mozilla
PID:        378

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0 Crashed:
 #0   0x00894670 in 0x894670
 #1   0x00894660 in 0x894660
 #2   0x00894ec8 in output_row(gif_struct *)
 #3   0x0089520c in do_lzw(gif_struct *, unsigned char const *)
 #4   0x00895808 in 0x895808
 #5   0x00894124 in nsGIFDecoder2::ProcessData(unsigned char *, unsigned int,
unsigned int *)
 #6   0x00893e88 in ReadDataOut(nsIInputStream *, void *, char const *, unsigned
int, unsigned int, unsigned int *)
 #7   0x00695ba8 in nsInputStreamTee::WriteSegmentFun(nsIInputStream *, void *,
char const *, unsigned int, unsigned int)
 #8   0x006595fc in nsPipe::nsPipeInputStream::ReadSegments( (
(*)(nsIInputStream *)))
 #9   0x00696114 in nsInputStreamTee::ReadSegments( (*)(nsIInputStream *, void
*, char const *, unsigned int, unsigned int,  *))
 #10  0x008941f8 in nsGIFDecoder2::WriteFrom(nsIInputStream *, unsigned int,
unsigned int *)
 #11  0x032689e0 in OnDataAvailable__10imgRequestFP10nsIRequestP11nsISupportsP14ns
 #12  0x03265054 in OnDataAvailable__13ProxyListenerFP10nsIRequestP11nsISupportsP1
 #13  0x0281b7ec in OnDataAvailable__19nsStreamListenerTeeFP10nsIRequestP11nsISupp
 #14  0x0283083c in OnDataAvailable__13nsHttpChannelFP10nsIRequestP11nsISupportsP1
 #15  0x02812520 in nsOnDataAvailableEvent::HandleEvent(void)
 #16  0x02820900 in nsARequestObserverEvent::HandlePLEvent(PLEvent *)
 #17  0x00679ea0 in PL_HandleEvent
 #18  0x00679d0c in PL_ProcessPendingEvents
 #19  0x0061fd9c in nsEventQueueImpl::ProcessPendingEvents(void)
 #20  0x0064ae28 in NS_ShutdownXPCOM
 #21  0x00554954 in main

Thread 1:
 #0   0x7000497c in syscall
 #1   0x70557600 in BSD_waitevent
 #2   0x70554b80 in CarbonSelectThreadFunc
 #3   0x7002054c in _pthread_body

Thread 2:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x705593ec in CarbonOperationThreadFunc
 #3   0x7002054c in _pthread_body

Thread 3:
 #0   0x70044cf8 in semaphore_timedwait_signal_trap
 #1   0x70044cd8 in semaphore_timedwait_signal
 #2   0x70283e9c in TSWaitOnConditionTimedRelative
 #3   0x7027d740 in TSWaitOnSemaphoreCommon
 #4   0x702c2078 in TimerThread
 #5   0x7002054c in _pthread_body

Thread 4:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x70250aa8 in TSWaitOnCondition
 #3   0x7027d728 in TSWaitOnSemaphoreCommon
 #4   0x70243d0c in AsyncFileThread
 #5   0x7002054c in _pthread_body

Thread 5:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x7055b884 in CarbonInetOperThreadFunc
 #3   0x7002054c in _pthread_body

Thread 6:
 #0   0x70000978 in mach_msg_overwrite_trap
 #1   0x70005a04 in mach_msg
 #2   0x70026a2c in _pthread_become_available
 #3   0x70026724 in pthread_exit
 #4   0x70020550 in _pthread_body

PPC Thread State:
  srr0: 0x00894670 srr1: 0x0200f030                vrsave: 0x00000000
   xer: 0x00000020   lr: 0x00894660  ctr: 0x006139e0   mq: 0x00000000
    r0: 0x00894660   r1: 0xbfffefc0   r2: 0x03b2e9a0   r3: 0x00000000
    r4: 0x00000002   r5: 0x00000000   r6: 0x00896c28   r7: 0x046970c0
    r8: 0x00000002   r9: 0x00000004  r10: 0x00000000  r11: 0x80003710
   r12: 0x001852c4  r13: 0x00000000  r14: 0x00000010  r15: 0x0469734e
   r16: 0x04e2b490  r17: 0x04e2a480  r18: 0x04e2b491  r19: 0x04e28470
   r20: 0x00000001  r21: 0x0000000f  r22: 0x00000010  r23: 0x0000004a
   r24: 0x046971e0  r25: 0x00000002  r26: 0x00000007  r27: 0x00000002
   r28: 0x03cb0820  r29: 0x00000000  r30: 0x00000001  r31: 0x00000000

**********

Date/Time:  2002-06-25 10:30:28 -0500
OS Version: 10.1.5 (Build 5S66)
Host:       localhost

Command:    Mozilla
PID:        290

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0 Crashed:
 #0   0x029dc824 in HandleScrollEvent(unsigned short, int, int, Point, nsIWidget *)
 #1   0x435b0000 in 0x435b0000
 #2   0x029de984 in nsMacEventHandler::Scroll(unsigned short, int, Point const &)
 #3   0x029d8b10 in nsMacWindow::ScrollEventHandler(OpaqueEventHandlerCallRef *)
 #4   0x73118b18 in DispatchEventToHandlers
 #5   0x73101da8 in SendEventToEventTargetInternal
 #6   0x731b65c8 in SendEventToEventTarget
 #7   0x7310d750 in HandleMouseEvent
 #8   0x731ac044 in ToolboxEventDispatcherHandler
 #9   0x73118bc4 in DispatchEventToHandlers
 #10  0x73101da8 in SendEventToEventTargetInternal
 #11  0x731b65c8 in SendEventToEventTarget
 #12  0x731d2904 in ToolboxEventDispatcher
 #13  0x731cfc70 in CallEventDispatchHook
 #14  0x73179478 in GetOrPeekEvent
 #15  0x731a1478 in GetNextEventMatchingMask
 #16  0x731ae418 in WNEInternal
 #17  0x731c5518 in WaitNextEvent
 #18  0x029e2990 in nsMacMessagePump::GetEvent(EventRecord &)
 #19  0x029e286c in nsMacMessagePump::DoMessagePump(void)
 #20  0x029e21fc in nsAppShell::Run(void)
 #21  0x02919acc in nsAppShellService::Run(void)
 #22  0x00553efc in main1(int, char **, nsISupports *)
 #23  0x0055493c in main

Thread 1:
 #0   0x70000978 in mach_msg_overwrite_trap
 #1   0x70005a04 in mach_msg
 #2   0x70026a2c in _pthread_become_available
 #3   0x70026724 in pthread_exit
 #4   0x70020550 in _pthread_body
 #5   0x90010008 in 0x90010008

Thread 2:
 #0   0x7000497c in syscall
 #1   0x70557600 in BSD_waitevent
 #2   0x70554b80 in CarbonSelectThreadFunc
 #3   0x7002054c in _pthread_body

Thread 3:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x705593ec in CarbonOperationThreadFunc
 #3   0x7002054c in _pthread_body

Thread 4:
 #0   0x70044cf8 in semaphore_timedwait_signal_trap
 #1   0x70044cd8 in semaphore_timedwait_signal
 #2   0x70283e9c in TSWaitOnConditionTimedRelative
 #3   0x7027d740 in TSWaitOnSemaphoreCommon
 #4   0x702c2078 in TimerThread
 #5   0x7002054c in _pthread_body

Thread 5:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x70250aa8 in TSWaitOnCondition
 #3   0x7027d728 in TSWaitOnSemaphoreCommon
 #4   0x70243d0c in AsyncFileThread
 #5   0x7002054c in _pthread_body

Thread 6:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x7055b884 in CarbonInetOperThreadFunc
 #3   0x7002054c in _pthread_body

PPC Thread State:
  srr0: 0x029dc824 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x20000018   lr: 0x029de984  ctr: 0x029de950   mq: 0x00000000
    r0: 0x00000000   r1: 0xbfffedb0   r2: 0x02953000   r3: 0x00000000
    r4: 0xbfffedf4   r5: 0x00000009   r6: 0x00000001   r7: 0x00000000
    r8: 0xbfffedb8   r9: 0x00000000  r10: 0x0000010b  r11: 0x000100f5
   r12: 0x0294cbc4  r13: 0x00000000  r14: 0x00000000  r15: 0x00000000
   r16: 0x00000000  r17: 0x00000000  r18: 0x00000000  r19: 0x00000004
   r20: 0x00000000  r21: 0x00000001  r22: 0x722f955d  r23: 0x00000000
   r24: 0x00000000  r25: 0x03f70628  r26: 0x02b693c0  r27: 0xbffff028
   r28: 0x00000009  r29: 0x00000000  r30: 0x000001c8  r31: 0x000000f5

**********

Date/Time:  2002-07-15 09:32:03 -0500
OS Version: 10.1.5 (Build 5S66)
Host:       localhost

Command:    Mozilla
PID:        292

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0 Crashed:
 #0   0x029b9824 in HandleScrollEvent(unsigned short, int, int, Point, nsIWidget *)
 #1   0x43730000 in 0x43730000
 #2   0x029bb984 in nsMacEventHandler::Scroll(unsigned short, int, Point const &)
 #3   0x029b5b10 in nsMacWindow::ScrollEventHandler(OpaqueEventHandlerCallRef *)
 #4   0x73118b18 in DispatchEventToHandlers
 #5   0x73101da8 in SendEventToEventTargetInternal
 #6   0x731b65c8 in SendEventToEventTarget
 #7   0x7310d750 in HandleMouseEvent
 #8   0x731ac044 in ToolboxEventDispatcherHandler
 #9   0x73118bc4 in DispatchEventToHandlers
 #10  0x73101da8 in SendEventToEventTargetInternal
 #11  0x731b65c8 in SendEventToEventTarget
 #12  0x731d2904 in ToolboxEventDispatcher
 #13  0x731cfc70 in CallEventDispatchHook
 #14  0x73179478 in GetOrPeekEvent
 #15  0x731a1478 in GetNextEventMatchingMask
 #16  0x731ae418 in WNEInternal
 #17  0x731c5518 in WaitNextEvent
 #18  0x029bf990 in nsMacMessagePump::GetEvent(EventRecord &)
 #19  0x029bf86c in nsMacMessagePump::DoMessagePump(void)
 #20  0x029bf1fc in nsAppShell::Run(void)
 #21  0x028f6acc in nsAppShellService::Run(void)
 #22  0x00553efc in main1(int, char **, nsISupports *)
 #23  0x0055493c in main

Thread 1:
 #0   0x7000497c in syscall
 #1   0x70557600 in BSD_waitevent
 #2   0x70554b80 in CarbonSelectThreadFunc
 #3   0x7002054c in _pthread_body

Thread 2:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x705593ec in CarbonOperationThreadFunc
 #3   0x7002054c in _pthread_body

Thread 3:
 #0   0x70044cf8 in semaphore_timedwait_signal_trap
 #1   0x70044cd8 in semaphore_timedwait_signal
 #2   0x70283e9c in TSWaitOnConditionTimedRelative
 #3   0x7027d740 in TSWaitOnSemaphoreCommon
 #4   0x702c2078 in TimerThread
 #5   0x7002054c in _pthread_body

Thread 4:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x70250aa8 in TSWaitOnCondition
 #3   0x7027d728 in TSWaitOnSemaphoreCommon
 #4   0x70243d0c in AsyncFileThread
 #5   0x7002054c in _pthread_body

Thread 5:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x7055b884 in CarbonInetOperThreadFunc
 #3   0x7002054c in _pthread_body

Thread 6:
 #0   0x70000978 in mach_msg_overwrite_trap
 #1   0x70005a04 in mach_msg
 #2   0x70026a2c in _pthread_become_available
 #3   0x70026724 in pthread_exit
 #4   0x70020550 in _pthread_body

PPC Thread State:
  srr0: 0x029b9824 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x20000018   lr: 0x029bb984  ctr: 0x029bb950   mq: 0x00000000
    r0: 0x00000000   r1: 0xbfffedb0   r2: 0x029fc000   r3: 0x00000000
    r4: 0xbfffedf4   r5: 0xfffffff7   r6: 0x00000001   r7: 0x00000000
    r8: 0xbfffedb8   r9: 0x00000000  r10: 0x00000012  r11: 0x0000fffc
   r12: 0x029f5bc4  r13: 0x00000000  r14: 0x00000000  r15: 0x00000000
   r16: 0x00000000  r17: 0x00000000  r18: 0x00000000  r19: 0x00000004
   r20: 0x00000000  r21: 0x00000001  r22: 0x73537cbd  r23: 0x00000000
   r24: 0x00000000  r25: 0x04de02f8  r26: 0x02b3fd20  r27: 0xbffff028
   r28: 0xfffffff7  r29: 0x00000000  r30: 0x000000bc  r31: 0xfffffffc

**********

Date/Time:  2002-07-16 18:40:45 -0500
OS Version: 10.1.5 (Build 5S66)
Host:       localhost

Command:    Mozilla
PID:        296

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0 Crashed:
 #0   0x029c7824 in HandleScrollEvent(unsigned short, int, int, Point, nsIWidget *)
 #1   0x43750000 in 0x43750000
 #2   0x029c9984 in nsMacEventHandler::Scroll(unsigned short, int, Point const &)
 #3   0x029c3b10 in nsMacWindow::ScrollEventHandler(OpaqueEventHandlerCallRef *)
 #4   0x73118b18 in DispatchEventToHandlers
 #5   0x73101da8 in SendEventToEventTargetInternal
 #6   0x731b65c8 in SendEventToEventTarget
 #7   0x7310d750 in HandleMouseEvent
 #8   0x731ac044 in ToolboxEventDispatcherHandler
 #9   0x73118bc4 in DispatchEventToHandlers
 #10  0x73101da8 in SendEventToEventTargetInternal
 #11  0x731b65c8 in SendEventToEventTarget
 #12  0x731d2904 in ToolboxEventDispatcher
 #13  0x731cfc70 in CallEventDispatchHook
 #14  0x73179478 in GetOrPeekEvent
 #15  0x731a1478 in GetNextEventMatchingMask
 #16  0x731ae418 in WNEInternal
 #17  0x731c5518 in WaitNextEvent
 #18  0x029cd990 in nsMacMessagePump::GetEvent(EventRecord &)
 #19  0x029cd86c in nsMacMessagePump::DoMessagePump(void)
 #20  0x029cd1fc in nsAppShell::Run(void)
 #21  0x02915acc in nsAppShellService::Run(void)
 #22  0x00553efc in main1(int, char **, nsISupports *)
 #23  0x0055493c in main

Thread 1:
 #0   0x7000497c in syscall
 #1   0x70557600 in BSD_waitevent
 #2   0x70554b80 in CarbonSelectThreadFunc
 #3   0x7002054c in _pthread_body

Thread 2:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x705593ec in CarbonOperationThreadFunc
 #3   0x7002054c in _pthread_body

Thread 3:
 #0   0x70044cf8 in semaphore_timedwait_signal_trap
 #1   0x70044cd8 in semaphore_timedwait_signal
 #2   0x70283e9c in TSWaitOnConditionTimedRelative
 #3   0x7027d740 in TSWaitOnSemaphoreCommon
 #4   0x702c2078 in TimerThread
 #5   0x7002054c in _pthread_body

Thread 4:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x70250aa8 in TSWaitOnCondition
 #3   0x7027d728 in TSWaitOnSemaphoreCommon
 #4   0x70243d0c in AsyncFileThread
 #5   0x7002054c in _pthread_body

Thread 5:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x7055b884 in CarbonInetOperThreadFunc
 #3   0x7002054c in _pthread_body

Thread 6:
 #0   0x70000978 in mach_msg_overwrite_trap
 #1   0x70005a04 in mach_msg
 #2   0x70026a2c in _pthread_become_available
 #3   0x70026724 in pthread_exit
 #4   0x70020550 in _pthread_body

PPC Thread State:
  srr0: 0x029c7824 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x20000018   lr: 0x029c9984  ctr: 0x029c9950   mq: 0x00000000
    r0: 0x00000000   r1: 0xbfffedb0   r2: 0x02a0a000   r3: 0x00000000
    r4: 0xbfffedf4   r5: 0xfffffff7   r6: 0x00000001   r7: 0x00000000
    r8: 0xbfffedb8   r9: 0x00000000  r10: 0x00000186  r11: 0x00010170
   r12: 0x02a03bc4  r13: 0x00000000  r14: 0x00000000  r15: 0x00000000
   r16: 0x00000000  r17: 0x00000000  r18: 0x00000000  r19: 0x00000004
   r20: 0x00000000  r21: 0x00000001  r22: 0x723e02bf  r23: 0x00000000
   r24: 0x00000000  r25: 0x03cb1084  r26: 0x02b62f90  r27: 0xbffff028
   r28: 0xfffffff7  r29: 0x00000000  r30: 0x0000017b  r31: 0x00000170

**********

Date/Time:  2002-07-18 16:22:07 -0500
OS Version: 10.1.5 (Build 5S66)
Host:       localhost

Command:    Mozilla
PID:        292

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000010

Thread 0 Crashed:
 #0   0x034ac1a4 in IR_TargetIsChild__20nsTableRowGroupFrameFP14nsIPresContextR19n
 #1   0x034ac198 in IR_TargetIsChild__20nsTableRowGroupFrameFP14nsIPresContextR19n
 #2   0x034aafc0 in IncrementalReflow__20nsTableRowGroupFrameFP14nsIPresContextR19
 #3   0x034aabf4 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #4   0x0343747c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #5   0x03491c4c in IR_TargetIsChild__12nsTableFrameFP14nsIPresContextR18nsTableRe
 #6   0x03490968 in IncrementalReflow__12nsTableFrameFP14nsIPresContextRC17nsHTMLR
 #7   0x0348eb5c in 0x348eb5c
 #8   0x0343747c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #9   0x034a0e90 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #10  0x034a1e78 in IR_InnerTableReflow__17nsTableOuterFrameFP14nsIPresContextR19
 #11  0x034a1428 in IR_TargetIsInnerTableFrame__17nsTableOuterFrameFP14nsIPresCont
 #12  0x034a12d4 in IR_TargetIsChild__17nsTableOuterFrameFP14nsIPresContextR19nsHT
 #13  0x034a11e8 in IncrementalReflow__17nsTableOuterFrameFP14nsIPresContextR19nsH
 #14  0x034a2968 in 0x34a2968
 #15  0x03504108 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #16  0x03503b5c in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #17  0x034dea88 in 0x34dea88
 #18  0x034dd1cc in 0x34dd1cc
 #19  0x034dcb74 in 0x34dcb74
 #20  0x034dab7c in nsBlockFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &)
 #21  0x0343747c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #22  0x034855ac in 0x34855ac
 #23  0x0343747c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #24  0x034a6aa0 in IR_TargetIsChild__15nsTableRowFrameFP14nsIPresContextR19nsHTML
 #25  0x034a6534 in IncrementalReflow__15nsTableRowFrameFP14nsIPresContextR19nsHTM
 #26  0x034a6fcc in Reflow__15nsTableRowFrameFP14nsIPresContextR19nsHTMLReflowMetr
 #27  0x0343747c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #28  0x034ac090 in IR_TargetIsChild__20nsTableRowGroupFrameFP14nsIPresContextR19n
 #29  0x034aafc0 in IncrementalReflow__20nsTableRowGroupFrameFP14nsIPresContextR19
 #30  0x034aabf4 in Reflow__20nsTableRowGroupFrameFP14nsIPresContextR19nsHTMLReflo
 #31  0x0343747c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #32  0x03491c4c in IR_TargetIsChild__12nsTableFrameFP14nsIPresContextR18nsTableRe
 #33  0x03490968 in IncrementalReflow__12nsTableFrameFP14nsIPresContextRC17nsHTMLR
 #34  0x0348eb5c in 0x348eb5c
 #35  0x0343747c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #36  0x034a0e90 in OuterReflowChild__17nsTableOuterFrameFP14nsIPresContextP8nsIFr
 #37  0x034a1e78 in IR_InnerTableReflow__17nsTableOuterFrameFP14nsIPresContextR19
 #38  0x034a1428 in IR_TargetIsInnerTableFrame__17nsTableOuterFrameFP14nsIPresCont
 #39  0x034a12d4 in IR_TargetIsChild__17nsTableOuterFrameFP14nsIPresContextR19nsHT
 #40  0x034a11e8 in IncrementalReflow__17nsTableOuterFrameFP14nsIPresContextR19nsH
 #41  0x034a2968 in 0x34a2968
 #42  0x03504108 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #43  0x03503b5c in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #44  0x034dea88 in 0x34dea88
 #45  0x034dd1cc in 0x34dd1cc
 #46  0x034dcb74 in 0x34dcb74
 #47  0x034dab7c in nsBlockFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &)
 #48  0x03504108 in DoReflowBlock__20nsBlockReflowContextFR17nsHTMLReflowState14ns
 #49  0x03503b5c in ReflowBlock__20nsBlockReflowContextFP8nsIFrameRC6nsRectiR18nsC
 #50  0x034dea88 in 0x34dea88
 #51  0x034dd1cc in 0x34dd1cc
 #52  0x034dcb74 in 0x34dcb74
 #53  0x034dab7c in nsBlockFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &)
 #54  0x0343747c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #55  0x035da64c in CanvasFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,  &)
 #56  0x035956d8 in Reflow__19nsBoxToBlockAdaptorFR16nsBoxLayoutStateP14nsIPresCon
 #57  0x03595118 in nsBoxToBlockAdaptor::DoLayout(nsBoxLayoutState &)
 #58  0x0358fdac in nsBox::Layout(nsBoxLayoutState &)
 #59  0x035c184c in 0x35c184c
 #60  0x0358fdac in nsBox::Layout(nsBoxLayoutState &)
 #61  0x03598698 in LayoutChildAt__14nsContainerBoxFR16nsBoxLayoutStateP6nsIBoxRC6
 #62  0x0358453c in nsGfxScrollFrameInner::LayoutBox(nsBoxLayoutState &, nsIBox *)
 #63  0x03584a1c in 0x3584a1c
 #64  0x035845f4 in nsGfxScrollFrame::DoLayout(nsBoxLayoutState &)
 #65  0x0358fdac in nsBox::Layout(nsBoxLayoutState &)
 #66  0x03551060 in nsBoxFrame::Reflow(nsIPresContext *, nsHTMLReflowMetrics &,
 const &)
 #67  0x03583670 in Reflow__16nsGfxScrollFrameFP14nsIPresContextR19nsHTMLReflowMet
 #68  0x0343747c in ReflowChild__16nsContainerFrameFP8nsIFrameP14nsIPresContextR19
 #69  0x03521b00 in Reflow__13ViewportFrameFP14nsIPresContextR19nsHTMLReflowMetric
 #70  0x034ad800 in Dispatch__19nsHTMLReflowCommandFP14nsIPresContextR19nsHTMLRefl
 #71  0x0345cb94 in ProcessReflowCommand__9PresShellFR11nsVoidArrayiR19nsHTMLReflo
 #72  0x0345cd7c in PresShell::ProcessReflowCommands(int)
 #73  0x0345c708 in HandlePLEvent(ReflowEvent *)
 #74  0x00679ea0 in PL_HandleEvent
 #75  0x00679d0c in PL_ProcessPendingEvents
 #76  0x0061fd9c in nsEventQueueImpl::ProcessPendingEvents(void)
 #77  0x0299f93c in nsMacNSPREventQueueHandler::ProcessPLEventQueue(void)
 #78  0x0299f7e0 in nsMacNSPREventQueueHandler::RepeatAction(EventRecord const &)
 #79  0x000ddb14 in Repeater::DoRepeaters(EventRecord const &)
 #80  0x029b5b58 in nsMacMessagePump::DispatchEvent(int, EventRecord *)
 #81  0x029b5880 in nsMacMessagePump::DoMessagePump(void)
 #82  0x029b51fc in nsAppShell::Run(void)
 #83  0x028ecacc in nsAppShellService::Run(void)
 #84  0x00553efc in main1(int, char **, nsISupports *)
 #85  0x0055493c in main

Thread 1:
 #0   0x7000497c in syscall
 #1   0x70557600 in BSD_waitevent
 #2   0x70554b80 in CarbonSelectThreadFunc
 #3   0x7002054c in _pthread_body

Thread 2:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x705593ec in CarbonOperationThreadFunc
 #3   0x7002054c in _pthread_body

Thread 3:
 #0   0x70044cf8 in semaphore_timedwait_signal_trap
 #1   0x70044cd8 in semaphore_timedwait_signal
 #2   0x70283e9c in TSWaitOnConditionTimedRelative
 #3   0x7027d740 in TSWaitOnSemaphoreCommon
 #4   0x702c2078 in TimerThread
 #5   0x7002054c in _pthread_body

Thread 4:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x70250aa8 in TSWaitOnCondition
 #3   0x7027d728 in TSWaitOnSemaphoreCommon
 #4   0x70243d0c in AsyncFileThread
 #5   0x7002054c in _pthread_body

Thread 5:
 #0   0x7003f4c8 in semaphore_wait_signal_trap
 #1   0x7003f2c8 in _pthread_cond_wait
 #2   0x7055b884 in CarbonInetOperThreadFunc
 #3   0x7002054c in _pthread_body

Thread 6:
 #0   0x70000978 in mach_msg_overwrite_trap
 #1   0x70005a04 in mach_msg
 #2   0x70026a2c in _pthread_become_available
 #3   0x70026724 in pthread_exit
 #4   0x70020550 in _pthread_body

PPC Thread State:
  srr0: 0x034ac1a4 srr1: 0x0000f030                vrsave: 0x00000000
   xer: 0x00000018   lr: 0x034ac198  ctr: 0x0344c3e0   mq: 0x00000000
    r0: 0x000002b0   r1: 0xbfffa4c0   r2: 0x0367a000   r3: 0x00000130
    r4: 0x00000004   r5: 0xbfffa538   r6: 0x00000000   r7: 0x0313c110
    r8: 0x0313c14c   r9: 0x0000003c  r10: 0x00000000  r11: 0x00001290
   r12: 0x03675414  r13: 0x00003040  r14: 0x00000ab0  r15: 0x00000000
   r16: 0xbfffd160  r17: 0x00000000  r18: 0x00000000  r19: 0x00000700
   r20: 0x00003040  r21: 0x045eb1bc  r22: 0x04649360  r23: 0x00000000
   r24: 0x04649360  r25: 0xbfffa80c  r26: 0xbfffa70c  r27: 0xbfffb480
   r28: 0x04e73a3c  r29: 0x00000000  r30: 0x00000000  r31: 0x00000280

**********

Updated

17 years ago
Keywords: crash
-> Imagelib
Assignee: Matti → pavlov
Component: Browser-General → ImageLib
QA Contact: asa → tpreston

Comment 2

17 years ago
dmoughamian@earthlink.net, I presume you're referring to the three logs that
show a crash at HandleScrollEvent.

Please, in the future, please _attach_ one and only one crash report to a bug;
they shouldn't be quoted in a bug comment. Thanks.
Severity: normal → critical
Summary: Frequent unexpected crashes, most recently on ESPN.com → Frequent unexpected crashes, most recently on ESPN.com [@ HandleScrollEvent]

Comment 3

17 years ago
Those HandleScrollEvent stacks appear identical to the last one attached to bug
124596. Duping.

*** This bug has been marked as a duplicate of 124596 ***
Status: UNCONFIRMED → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → DUPLICATE
Crash Signature: [@ HandleScrollEvent]
You need to log in before you can comment on or make changes to this bug.